<template>
  <div class = "card-view ">
    <div v-if="dataViewMode==='DATAVIEWEXPVIEW'" class="nav-card">
      <ion-card v-for="(item,index) in items" :key="index" @click="switchView(index)">
        <ion-card-header>
          <ion-card-title>{{item.srfkey}}</ion-card-title>
        </ion-card-header>
        <ion-card-content>{{item.mobentityname}}</ion-card-content>
      </ion-card>
    </div>
    <ion-row v-else>
      <ion-col size="12" v-show="showCheack">
        <div class="selectall">
          <ion-checkbox :checked="selectAllIschecked" v-show="showCheack" @ionChange="checkboxAll"></ion-checkbox>
          <ion-label class="selectal-label" v-show="showCheack">全选</ion-label>
        </div>
      </ion-col>
      <ion-col :size="size" v-for="(item,index) in items" :key="index" >
        <ion-checkbox :checked="item.checked" v-show="showCheack" class="ionic-checkbox"  @click.stop="checkboxSelect(item)"></ion-checkbox>
        <ion-card :class="[size == '12'? 'ios hydrated ibz-card-12':' ios hydrated ibz-card-6']">
          <div :class="{'line':size == '12'}">
            <img class="cardimg" :style="{width :size == '6' ?'':'30%'}" src="assets/images/card.jpg" />
            <div :style="{width :size == '6' ?'':'70%'}">
              <ion-card-header class="ibz-header">
                <ion-card-title class="ibz-title">{{item.<#if appde.getMajorPSAppDEField()??>${appde.getMajorPSAppDEField().getCodeName()?lower_case}<#else>srfmajortext</#if>}}</ion-card-title>
              </ion-card-header>
              <#if ctrl.getPSDEDataViewItems?? && ctrl.getPSDEDataViewItems()??>
              <#list ctrl.getPSDEDataViewItems() as cardItem>
              <ion-card-content class="ibz-content">
              {{item.<#if cardItem.getName?? && cardItem.getName()??>${cardItem.getName()?lower_case}</#if>}}
              </ion-card-content>
              </#list>
              </#if>
            </div>
          </div>
          <ion-icon v-show="!showCheack" :style="{color :size == '6' ?'#fff':'#333'}"  @click="remove([item])"   class="card-delete" name="close-outline"></ion-icon>
        </ion-card>
      </ion-col>
    </ion-row>
  </div>
</template>